- me broke, me fix
[packages/ettercap6.git] / ettercap-dont_require_root.patch
CommitLineData
7c876d11 1diff -urN ettercap-0.5.4.orig/configure.in ettercap-0.5.4/configure.in
2--- ettercap-0.5.4.orig/configure.in Sat Jul 21 16:25:35 2001
3+++ ettercap-0.5.4/configure.in Thu Sep 6 16:34:39 2001
4@@ -158,21 +158,11 @@
5 dnl ===========================
6 dnl Check for Socket Packet
7 dnl ===========================
8- id=`id -u`
9- AC_MSG_CHECKING(for correct UID)
10- if test ${id} -gt 0; then
11- AC_MSG_RESULT(${id}. not sufficient)
12- AC_MSG_WARN(***********************************************);
13- AC_MSG_WARN(* This configure must run with UID 0 (root)!! *);
14- AC_MSG_WARN(***********************************************);
15- rm -f *.cache *.log
16- exit;
17- else
18- AC_MSG_RESULT($UID ok root let's go...)
19- fi
20
21- EC_PF_PACKET()
22- EC_SOCK_PACKET()
23+dnl EC_PF_PACKET()
24+dnl EC_SOCK_PACKET()
25+ AC_DEFINE(HAVE_PF_PACKET,1)
26+ AC_DEFINE(HAVE_SOCK_PACKET,1)
27
28 if test "$nopf" = 1 && test "$nosock" = 1; then
29 AC_MSG_WARN(*************************************);
This page took 0.051177 seconds and 4 git commands to generate.